Skip to main content

Add Realm Role

A New realm specific role can be created using this API.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

NameValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

POST https://{tenantId}.{hostname}/digitanium/v4/role/{rolename}

HTTP request URL for SHIFT​

POST https://{hostname}/auth/realms/{tenantId}/v3_role/{rolename}
note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No parameter fields are required.

Request body​

No request body fields are required.

Response​

Field NameTypeDescription
messageStringMessage explains result of the API call. Refer Response status Information for details.
statusStringThe status of the API call. Refer Response status Information for details.
subSystemIntegersubSystem categorizes the type of API that has been called. Refer Subsystem details for details.

Sample Response​

{
"message": "Role created successfully",
"status": "OK",
"subSystem": 1
}

Response Status Information​

Status CodeStatusMessage
200OKRole created successfully
401UnauthorizedHTTP 401 Unauthorized
409CONFLICTRole already exists